diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 84f838a042e324593f0d45d4688bc84c1aa3f114..0a5bb3d93df5713253943a36a86658b7eefa9017 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -165,7 +165,7 @@ elfdep-centos75:
 deploy-u18:
   stage: deploy
   script:
-    - ./cicd_testing/elfdep.sh
+    - ./cicd_testing/deploy.sh
   tags:
     - ubuntu18
   variables:
diff --git a/cicd_testing/docker-zipr-bin/run_pszr.sh b/cicd_testing/docker-zipr-bin/run_pszr.sh
index 73b09e9907ab2f2ff131086bc620ddc61d2880b0..9d041e41dbd8e07967b2f236b767d9d144fb3e79 100755
--- a/cicd_testing/docker-zipr-bin/run_pszr.sh
+++ b/cicd_testing/docker-zipr-bin/run_pszr.sh
@@ -17,6 +17,19 @@ print_usage()
 	echo ""
 }
 
+function is_in_activation 
+{
+	service "$1" status
+   activation=$(service "$1" status | grep "Active: activation" )
+   if [ -z "$activation" ]; then
+      true;
+   else
+      false;
+   fi
+
+   return $?;
+}
+
 main()
 {
 	local res=0
@@ -36,8 +49,7 @@ main()
 			echo
 			echo "Setting up postgres..."
 			echo
-			service postgresql start
-			sleep 2 # let service start up enough to print the message
+			service postgresql start 
 			echo
 			echo 'The IRDB toolchain is setup and ready to run.'
 			echo 'You could start your first experiment with:'
@@ -56,7 +68,7 @@ main()
 			echo ' < ls output >  '
 			echo 'zuser@a3fc1666aaa4:~$ readelf -l /bin/ls ./ls.p1 ' 
 			echo
-			exec sudo su - zuser
+			bash
 			res=0
 		;;